<script>
  import Icon from "svelte-awesome";
  import { plus } from "svelte-awesome/icons";
  import CRUDfilterModal from "./crudFilter.svelte";
  import FilterModal from "./filterModal.svelte";

  let categories = [
    { id: 1, name: "Art" },
    { id: 2, name: "Sports" },
    { id: 3, name: "Music" },
    { id: 4, name: "Video games" },
  ];

  let selectedCategories = [];
  let showModal = false;

  function addCategory(id) {
    console.log(selectedCategories);
    !id ? alert("Category not found") : selectedCategories.push(categories[id]);
  }
  function popCategory(id) {
    !id ? alert("Category not found") : selectedCategories.pop(categories[id]);
  }
</script>


<nav>
  <button on:click="{() => showModal = true}">
    Add a category <Icon data={plus} />
  </button>
  {#if categories}
    {#each categories as cat}
      <input type="text" bind:value={cat.name}>
    {/each}
  {/if}
</nav>

{#if showModal}
	<CRUDfilterModal bind:categories={categories} on:close="{() => showModal = false}">
		<h2>Filtres</h2>
	</CRUDfilterModal>
{/if}

<style>

  ul {
    display: inline-flex;
    text-decoration: none;
  }
  nav {
    padding: 5px;
    padding-bottom: 0px;
    background-color: aquamarine;
  }
  button {
    border-radius: 10%;
    background-color: darkgray;
  }
</style>
